#!/bin/bash

DATE=`date +%d.%m.%Y`
[ -z "$ARCH" ] && ARCH=`${PREFIX}gcc -dumpmachine | cut -d- -f1`
VERSION=`cat src/controller/KissCount.hpp | grep APP_VERSION | cut -d\" -f2`
DIR="KissCount_build_${VERSION}_${DATE}_${ARCH}"
FILE="$DIR.zip"

rm -f "$FILE"
rm -rf "$DIR"
if [ "$1" == "clean" ] ; then
make clean
fi
make || (echo "Compilation failed" ; exit 1)
mkdir -p "$DIR"
cp -r lib/*.dll* "$DIR"
cp -r kc ressources TODO CONTRIBUTORS COPYING README README.fr www "$DIR"
mv "$DIR"/kc "$DIR"/kc.exe
find "$DIR" -type f -executable -exec ${PREFIX}strip \{\} \;
zip -r "$FILE" "$DIR"
rm -rf "$DIR"
echo "Packaged into $FILE !"